package com.boman.domain.entity;

import com.boman.domain.BaseEntity;

import java.sql.Timestamp;


public class StatisticReportPersonnel  extends BaseEntity {

  private Long id;
  private String reportName;
  private Long statisticId;
  private Long deptId;
  private String deptName;
  private Long userId;
  private String userName;
  private String isDel;
  private String status;
  private String createBy;
  private String sTime;
  private String eTime;
  private java.sql.Timestamp createTime;
  private String updateBy;
  private java.sql.Timestamp updateTime;
  private String uploadFile;

  @Override
  public String getCreateBy() {
    return createBy;
  }

  @Override
  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }

  @Override
  public Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Timestamp createTime) {
    this.createTime = createTime;
  }

  @Override
  public String getUpdateBy() {
    return updateBy;
  }

  @Override
  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }

  @Override
  public Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Timestamp updateTime) {
    this.updateTime = updateTime;
  }

  public String getUploadFile() {
    return uploadFile;
  }

  public void setUploadFile(String uploadFile) {
    this.uploadFile = uploadFile;
  }

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public String getReportName() {
    return reportName;
  }

  public void setReportName(String reportName) {
    this.reportName = reportName;
  }

  public Long getStatisticId() {
    return statisticId;
  }

  public void setStatisticId(Long statisticId) {
    this.statisticId = statisticId;
  }

  public Long getDeptId() {
    return deptId;
  }

  public void setDeptId(Long deptId) {
    this.deptId = deptId;
  }

  public String getDeptName() {
    return deptName;
  }

  public void setDeptName(String deptName) {
    this.deptName = deptName;
  }

  public Long getUserId() {
    return userId;
  }

  public void setUserId(Long userId) {
    this.userId = userId;
  }

  public String getUserName() {
    return userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }

  public String getIsDel() {
    return isDel;
  }

  public void setIsDel(String isDel) {
    this.isDel = isDel;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public String getsTime() {
    return sTime;
  }

  public void setsTime(String sTime) {
    this.sTime = sTime;
  }

  public String geteTime() {
    return eTime;
  }

  public void seteTime(String eTime) {
    this.eTime = eTime;
  }
}
